/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __opengl_headers_h__
#define __opengl_headers_h__

#if FE_OS==FE_WIN32 || FE_OS==FE_WIN64
#include "windows.h"
#include "winuser.h"
#include "gl/GL.h"
#include "gl/glu.h"

#elif FE_OS==FE_LINUX
#include <GL/glx.h>
#include <GL/gl.h>
#include <GL/glu.h>

#elif FE_OS==FE_OSX
//#include <AGL/agl.h>
#include <GL/glx.h>
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>

#else
#error "platform not recognized"
#endif

#endif /* __opengl_headers_h__ */
